#!/bin/sh

# This helper script will handle deploying a sns topic
set -e

source /scripts/utils.sh
source /scripts/terraform.sh

tfAdditionalVarsFile=${tfRoot}/additional_settings.auto.tfvars

echo "topic_arn = \"${SNS_TOPIC_ARN}\"" >> ${tfAdditionalVarsFile}
echo "endpoint = \"${SUBSCRIPTION_ENDPOINT_ARN}\"" >> ${tfAdditionalVarsFile}

if [ "${snsEvents}" == "true" ]; then
  echo "lambda_arn = \"$arn\" " >> ${tfAdditionalVarsFile}
fi

terraform_init
terraform_plan
terraform_apply
terraform_output

cprint "$0 done "
